from setuptools import setup

setup(
    name="iocbio.gel",
    version="0.6.0",
    description="IOCBio Gel: Software for Protein Detection",
    author="Jaak Kütt, Georg Margus, Lauri Kask",
    license="GPLv3",
    packages=[
        "iocbio.gel",
        "iocbio.gel.application",
        "iocbio.gel.application.application_state",
        "iocbio.gel.application.image",
        "iocbio.gel.application.thread",
        "iocbio.gel.command",
        "iocbio.gel.db",
        "iocbio.gel.db.alembic",
        "iocbio.gel.db.alembic.versions",
        "iocbio.gel.db.connection_parameters",
        "iocbio.gel.domain",
        "iocbio.gel.gui",
        "iocbio.gel.gui.dialogs",
        "iocbio.gel.gui.dialogs.database_connection_settings",
        "iocbio.gel.gui.dialogs.image_source_settings",
        "iocbio.gel.gui.contexts",
        "iocbio.gel.gui.resources",
        "iocbio.gel.gui.models",
        "iocbio.gel.gui.models.items",
        "iocbio.gel.gui.views",
        "iocbio.gel.gui.views.delegates",
        "iocbio.gel.gui.widgets",
        "iocbio.gel.gui.widgets.analysis_steps",
        "iocbio.gel.gui.widgets.analysis_steps.intensity",
        "iocbio.gel.gui.widgets.analysis_steps.background",
        "iocbio.gel.gui.widgets.toolbars",
        "iocbio.gel.gui.windows",
        "iocbio.gel.repository",
    ],
    entry_points={"gui_scripts": ["iocbio-gel = iocbio.gel.app:main"]},
    package_data={
        "iocbio.gel.db.alembic": ["*.ini", "*.mako"],
        "iocbio.gel.db.alembic.versions": ["*.sql"],
        "iocbio.gel": ["*.ini"],
    },
    install_requires=[
        "sqlalchemy~=1.4.36",
        "PySide6~=6.3.1",
        "dependency_injector~=4.39.1",
        "scikit-image~=0.19.2",
        "qimage2ndarray~=1.9.0",
        "zeroc-ice~=3.6.5",
        "omero-py~=5.11.1",
        "alembic~=1.7.7",
        "pyqtgraph~=0.12.4",
        "shiboken6~=6.3.1",
        "psycopg2-binary~=2.9.3",
        "keyring~=23.5.0",
        "sqlparse~=0.4.2",
        "XlsxWriter~=3.0.3",
    ],
)
